Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23426

Description

2.16.2 on Linux with GRASS 7.

I did not test all of them, but at least for v.split.vert, v.split.length and r.blend.combine QGIS will create calls to GRASS without quoting of

filenames. So if a filename contains spaces, it will fail.

For example here the layer name is not quoted:

v.in.ogr min_area=0.0001 snap=-1 input="/home/me/some path" layer=my fancy layer output=tmp1472549688385 --overwrite -o

Here the input name is not quoted:

r.in.gdal input=/home/me/some path/input.vrt output=tmp14725505976613 --overwrite -o

I would recommended checking through all of it to find all the cases. 8)

Related issues:

Duplicated by QGIS Application - Bug report # 15554: v.net.alloc in processin... Closed 2016-09-11

History

#1 - 2016-08-31 02:04 AM - Radim Blazek

- Category changed from GRASS to Processing/GRASS

#2 - 2016-09-15 06:42 AM - Alexander Bruy

Can you test if https://github.com/alexbruy/QGIS/tree/grass-quotes fixes your issue?

#3 - 2016-09-15 06:43 AM - Alexander Bruy

- Tag deleted (grass, quoting, filenames)

- Status changed from Open to Feedback

#4 - 2017-01-02 07:22 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

rasterfail.log 5.1 KB 2016-08-30 Johannes Kroeger

2025-04-27 1/2

https://github.com/alexbruy/QGIS/tree/grass-quotes


vectorfail.log 4.35 KB 2016-08-30 Johannes Kroeger

2025-04-27 2/2


